Bug 1476299 - Can't Edit or See Tags in the Web UI under My Company Tags Blank UI Page [NEEDINFO]
Can't Edit or See Tags in the Web UI under My Company Tags Blank UI Page
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Harpreet Kataria
Matouš Mojžíš
ui:configuration:tags
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 10:43 EDT by myoder
Modified: 2017-12-05 10:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-18 13:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
myoder: needinfo? (gtanzill)


Attachments (Terms of Use)

  None (edit)
Description myoder 2017-07-28 10:43:48 EDT
Description of problem:
When navigating to 'My Company Tags' the Web UI doesn't display any tags, so I can't see or edit tags.  'My Company Categories' displays Categories find.  

Able to add tags via API.  Also able to assign tags to instance/objects in the Web UI.

Version-Release number of selected component (if applicable):
CFME 5.7.2.1

How reproducible:
customer environment

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
[----] I, [2017-07-21T14:51:59.773089 #8234:16ccbf8]  INFO -- : Started POST "/ops/change_tab/?tab_id=settings_co_tags" for 127.0.0.1 at 2017-07-21 14:51:59 -0300
[----] I, [2017-07-21T14:51:59.775179 #8234:16ccbf8]  INFO -- : Processing by OpsController#change_tab as JS
[----] I, [2017-07-21T14:51:59.775272 #8234:16ccbf8]  INFO -- :   Parameters: {"tab_id"=>"settings_co_tags"}
[----] I, [2017-07-21T14:51:59.849834 #8234:16ccbf8]  INFO -- :   Rendered ops/_settings_details_tab.html.haml (0.1ms)
[----] I, [2017-07-21T14:51:59.850245 #8234:16ccbf8]  INFO -- :   Rendered ops/_settings_cu_collection_tab.html.haml (0.1ms)
[----] I, [2017-07-21T14:51:59.850554 #8234:16ccbf8]  INFO -- :   Rendered ops/_settings_co_categories_tab.html.haml (0.1ms)
[----] I, [2017-07-21T14:51:59.852157 #8234:16ccbf8]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2017-07-21T14:51:59.852949 #8234:16ccbf8]  INFO -- :   Rendered ops/_classification_entry.html.haml (0.6ms)
[----] I, [2017-07-21T14:52:00.025537 #8234:16ccbf8]  INFO -- :   Rendered ops/_classification_entries.html.haml (173.6ms)
[----] I, [2017-07-21T14:52:00.025732 #8234:16ccbf8]  INFO -- :   Rendered ops/_settings_co_tags_tab.html.haml (174.9ms)
[----] I, [2017-07-21T14:52:00.025867 #8234:16ccbf8]  INFO -- :   Rendered ops/_all_tabs.html.haml (177.3ms)
[----] F, [2017-07-21T14:52:00.026183 #8234:16ccbf8] FATAL -- : Error caught: [ActionView::Template::Error] undefined method `name' for nil:NilClass
/var/www/miq/vmdb/app/models/classification.rb:321:in `name'
/opt/rh/cfme-gemset/gems/activerecord-5.0.2/lib/active_record/relation/delegation.rb:38:in `each'
/opt/rh/cfme-gemset/gems/activerecord-5.0.2/lib/active_record/relation/delegation.rb:38:in `each'
/var/www/miq/vmdb/app/views/ops/_classification_entries.html.haml:15:in `sort_by'
/var/www/miq/vmdb/app/views/ops/_classification_entries.html.haml:15:in `_app_views_ops__classification_entries_html_haml___3386511489669946106_106590660'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/var/www/miq/vmdb/app/views/ops/_settings_co_tags_tab.html.haml:30:in `_app_views_ops__settings_co_tags_tab_html_haml__1497606819658097990_112190640'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/var/www/miq/vmdb/app/views/ops/_all_tabs.html.haml:77:in `block in _app_views_ops__all_tabs_html_haml__342367671896871352_137627880'
/var/www/miq/vmdb/app/helpers/application_helper.rb:1373:in `block in miq_tab_content'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/capture_helper.rb:39:in `block in capture'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/capture_helper.rb:203:in `with_output_buffer'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/capture_helper.rb:39:in `capture'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/helpers/tag_helper.rb:107:in `content_tag'
/var/www/miq/vmdb/app/helpers/application_helper.rb:1372:in `miq_tab_content'
/var/www/miq/vmdb/app/views/ops/_all_tabs.html.haml:76:in `_app_views_ops__all_tabs_html_haml__342367671896871352_137627880'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/rendering.rb:104:in `_render_template'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/rendering.rb:52:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/renderers.rb:142:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/abstract_controller/rendering.rb:48:in `render_to_string'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/rendering.rb:41:in `render_to_string'
/var/www/miq/vmdb/app/controllers/ops_controller.rb:535:in `block in replace_right_cell'
/var/www/miq/vmdb/app/controllers/ops_controller.rb:657:in `settings_replace_right_cell'
/var/www/miq/vmdb/app/controllers/ops_controller.rb:551:in `x_active_tree_replace_cell'
/var/www/miq/vmdb/app/controllers/ops_controller.rb:540:in `replace_right_cell'
/var/www/miq/vmdb/app/controllers/ops_controller.rb:184:in `change_tab'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.0.2/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.2/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.2/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.2/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.2/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.2/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.2/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.2/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'

Note You need to log in before you can comment on or make changes to this bug.